.transition {
    background: linear-gradient(black 0%, transparent 100%);
    height: 5rem;
}

.event {
    background: rgba(0, 0, 0, 0.5);
    /* background: rgba(212, 197, 207, 0.5); */
    border: 0.5rem solid var(--background);
    border-top-left-radius: 20rem;
    border-top-right-radius: 20rem;
    margin: 2rem;

    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    
    font-family: var(--font-body);
    color: var(--text-on-dark);
}

.event img {
    width: 50%;
    height: 50%;
    margin: 3rem 0 1rem 0;
}

.ceremony, .tea-pay, .reception {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 2rem;
}

.ceremony, .reception {
    padding: 0 2rem;
}

.tea-pay h1 {
    padding: 0 2rem;
}

.tea-pay-content {
    display: flex;
    align-items: stretch;
    gap: 5px;
}

.groom-side, .bride-side {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.vertical-lines {
    width: 1px;
    height: auto;
    background-color: var(--text-on-dark);
    border: 1px solid var(--text-on-dark);
}

.event h1 {
    font-family: var(--font-heading);
    font-size: 3rem;
    font-weight: 700;
    text-shadow: var(--text-shadow-deep);
    margin-bottom: 1rem;
}

.date {
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 2px solid var(--primary);
    border-radius: 1rem;
    border-bottom: transparent;
    border-top: transparent;
    padding: 1rem;
    margin-bottom: 1rem;
}

.day {
    font-size: 1rem;
    text-transform: uppercase;
}

.dd {
    font-size: 4rem;
}

.mmyy {
    font-size: 1rem;
    text-transform: uppercase;
}

.time {
    margin-bottom: 1rem;
}

.event p {
    margin-bottom: 1.5rem;
}

.event a {
    text-decoration: none;
    color: var(--text-on-dark);
    background-color: var(--primary);
    padding: 0.5rem;
    border-radius: 0.5rem;
    transition: background 0.5s ease, color 0.5s ease;
}

.event a:hover {
    background-color: var(--background);
}

.event i {
    margin-right: 5px;
}

.event h3 {
    margin-bottom: 1rem;
    font-style: italic;
    font-weight: 700;
    color: var(--text-on-dark);
}

